package com.community.huiju.model;

import java.util.Date;

public class TpBillInvoice {
    private Integer id;

    private Integer communityId;

    private Integer billId;

    private Integer buildingOwnerInfoId;

    private Integer taUserId;

    private String billInvoiceExplain;

    private Integer payPrice;

    private Integer billStatementId;

    private String billStatus;

    private String payName;

    private Date payDate;

    private Integer createUser;

    private Date createDate;

    private Integer updateUser;

    private Date updateDate;
    
    private String outTradeNo;
    
    private String billName;

    /**
     * 缴费方式  0：微信支付  1：线下缴费
     */
    private String payType;

    // =================================

    /**
     * 转换后金额，用于支付
     */
    private Double sumPayPrice;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public Integer getBillId() {
        return billId;
    }

    public void setBillId(Integer billId) {
        this.billId = billId;
    }

    public Integer getBuildingOwnerInfoId() {
        return buildingOwnerInfoId;
    }

    public void setBuildingOwnerInfoId(Integer buildingOwnerInfoId) {
        this.buildingOwnerInfoId = buildingOwnerInfoId;
    }

    public Integer getTaUserId() {
        return taUserId;
    }

    public void setTaUserId(Integer taUserId) {
        this.taUserId = taUserId;
    }

    public String getBillInvoiceExplain() {
        return billInvoiceExplain;
    }

    public void setBillInvoiceExplain(String billInvoiceExplain) {
        this.billInvoiceExplain = billInvoiceExplain == null ? null : billInvoiceExplain.trim();
    }

    public Integer getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(Integer payPrice) {
        this.payPrice = payPrice;
    }

    public Integer getBillStatementId() {
        return billStatementId;
    }

    public void setBillStatementId(Integer billStatementId) {
        this.billStatementId = billStatementId;
    }

    public String getBillStatus() {
        return billStatus;
    }

    public void setBillStatus(String billStatus) {
        this.billStatus = billStatus == null ? null : billStatus.trim();
    }

    public String getPayName() {
        return payName;
    }

    public void setPayName(String payName) {
        this.payName = payName == null ? null : payName.trim();
    }

    public Date getPayDate() {
        return payDate;
    }

    public void setPayDate(Date payDate) {
        this.payDate = payDate;
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }
    
    public String getOutTradeNo() {
        return outTradeNo;
    }
    
    public void setOutTradeNo(String outTradeNo) {
        this.outTradeNo = outTradeNo;
    }
    
    public String getBillName() {
        return billName;
    }
    
    public void setBillName(String billName) {
        this.billName = billName;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public Double getSumPayPrice() {
        return sumPayPrice;
    }

    public void setSumPayPrice(Double sumPayPrice) {
        this.sumPayPrice = sumPayPrice;
    }
}